#include "highlighter.h"

#include <iostream>
#include <fstream>

int main(int argc, char** argv) {
    if(argc == 2) {
        std::ifstream in(argv[1]);
        ConsoleHighlighter highlighter(in);
        highlighter.highlight(std::cout);
    } else {
        std::cout << "Usage: " << argv[0] << " <filename.xml>\n";
    }
    return 0;
}
